﻿using System.Linq;
using System.Web.Mvc;
using Syncfusion.JavaScript;
using SyncfusionMvcApplication2.Models;

namespace SyncfusionMvcApplication2.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            return View();
        }

        public ActionResult About()
        {
            ViewBag.Message = "Your application description page.";

            return View();
        }

        public ActionResult Contact()
        {
            ViewBag.Message = "Your contact page.";

            return View();
        }



        private static readonly GridItem[] gridData = Enumerable.Range(0, 1000).Select(x => new GridItem() { Id = x, DummyTextA = $"{x} - Lorem ipsum dolor sit amet, consectetur adipiscing elit. Proin sodales neque vitae augue varius tristique. Sed leo massa, accumsan eget tempor eu, dignissim ac ipsum. Nullam ullamcorper nunc eget cursus ultrices. Curabitur fringilla mauris et urna consectetur, sit amet tempor nulla luctus. Cras in eros vestibulum, ultrices sapien eget, facilisis turpis. Curabitur ac dolor sed leo elementum hendrerit. Nulla commodo nisl velit, a feugiat arcu venenatis ac. Maecenas sit amet ipsum sapien. Quisque maximus libero quis consectetur feugiat. Nulla magna lorem, venenatis consequat semper a, consectetur et purus. Cras suscipit consequat justo, at eleifend neque venenatis sit amet. Pellentesque sollicitudin fringilla ante, sed congue tellus faucibus sed. Donec at odio sem. Nulla semper tempor tortor, non ultrices dolor malesuada sed. Integer eget velit sed sem malesuada accumsan nec eu orci. Etiam lobortis turpis vitae ipsum egestas feugiat.", DummyTextB = $"{x} - Dummy B" }).ToArray();
        public ActionResult GetGridData(DataManager dm)
        {
            if (dm.Where == null || !dm.Where.Any())
            {
                return Json(new { result = gridData.Skip(dm.Skip).Take(dm.Take).ToArray(), count = gridData.Length }, JsonRequestBehavior.AllowGet);
            }
            else
            {
                return Json(new { result = gridData.Take(3).ToArray(), count = 3 }, JsonRequestBehavior.AllowGet);
            }
        }
    }
}